Bug 11276 - All errors become EINVAL when using SMB2/3
All errors become EINVAL when using SMB2/3
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
: 11834 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-16 20:27 UTC by Ross Lagerwall
Modified: 2016-05-23 20:57 UTC (History)
5 users (show)

See Also:


Attachments
git-am fix for 4.4.next, 4.3.next. (3.44 KB, patch)
2016-05-05 00:29 UTC, Jeremy Allison
jra: review? (asn)
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Lagerwall 2015-05-16 20:27:49 UTC
If I set client max protocol = SMB2 or SMB3, any error message becomes EINVAL with libsmbclient (using latest git):

$ smbget -d 10 smb://192.168.1.56/share2/nonexistent
INFO: Current debug levels:
  all: 10
  tdb: 10
  printdrivers: 10
  lanman: 10
  smb: 10
  rpc_parse: 10
  rpc_srv: 10
  rpc_cli: 10
  passdb: 10
  sam: 10
  auth: 10
  winbind: 10
  vfs: 10
  idmap: 10
  quota: 10
  acls: 10
  locking: 10
  msdfs: 10
  dmapi: 10
  registry: 10
  scavenger: 10
  dns: 10
  ldb: 10
Using netbios name HOBO.
Using workgroup MYGROUP.
Username for share2 at 192.168.1.56 [guest] Administrator
Password for share2 at 192.168.1.56: 
Using workgroup MYGROUP, user Administrator
SMBC_server: server_n=[192.168.1.56] server=[192.168.1.56]
 -> server_n=[192.168.1.56] server=[192.168.1.56]
Connecting to 192.168.1.56 at port 445
Connecting to 192.168.1.56 at port 139
samba_tevent: EPOLL_CTL_DEL EBADF for fde[0x7fd92f2a1c80] mpx_fde[(nil)] fd[6] - disabling
Socket options:
	SO_KEEPALIVE = 0
	SO_REUSEADDR = 0
	SO_BROADCAST = 0
	TCP_NODELAY = 1
	TCP_KEEPCNT = 9
	TCP_KEEPIDLE = 7200
	TCP_KEEPINTVL = 75
	IPTOS_LOWDELAY = 0
	IPTOS_THROUGHPUT = 0
	SO_REUSEPORT = 0
	SO_SNDBUF = 87040
	SO_RCVBUF = 372480
	SO_SNDLOWAT = 1
	SO_RCVLOWAT = 1
	SO_SNDTIMEO = 0
	SO_RCVTIMEO = 0
	TCP_QUICKACK = 1
	TCP_DEFER_ACCEPT = 0
Doing spnego session setup (blob length=120)
got OID=1.3.6.1.4.1.311.2.2.30
got OID=1.2.840.48018.1.2.2
got OID=1.2.840.113554.1.2.2
got OID=1.2.840.113554.1.2.2.3
got OID=1.3.6.1.4.1.311.2.2.10
got principal=not_defined_in_RFC4178@please_ignore
     negotiate: struct NEGOTIATE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmNegotiate (1)
        NegotiateFlags           : 0x60088215 (1611170325)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               0: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               0: NTLMSSP_NEGOTIATE_TARGET_INFO
               0: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
        DomainNameLen            : 0x0007 (7)
        DomainNameMaxLen         : 0x0007 (7)
        DomainName               : *
            DomainName               : 'MYGROUP'
        WorkstationLen           : 0x0004 (4)
        WorkstationMaxLen        : 0x0004 (4)
        Workstation              : *
            Workstation              : 'HOBO'
     challenge: struct CHALLENGE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmChallenge (0x2)
        TargetNameLen            : 0x0008 (8)
        TargetNameMaxLen         : 0x0008 (8)
        TargetName               : *
            TargetName               : 'CORP'
        NegotiateFlags           : 0x62898215 (1653178901)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               1: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               1: NTLMSSP_NEGOTIATE_TARGET_INFO
               1: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
        ServerChallenge          : 5a88fa48811535b7
        Reserved                 : 0000000000000000
        TargetInfoLen            : 0x00b2 (178)
        TargetNameInfoMaxLen     : 0x00b2 (178)
        TargetInfo               : *
            TargetInfo: struct AV_PAIR_LIST
                count                    : 0x00000007 (7)
                pair: ARRAY(7)
                    pair: struct AV_PAIR
                        AvId                     : MsvAvNbDomainName (0x2)
                        AvLen                    : 0x0008 (8)
                        Value                    : union ntlmssp_AvValue(case 0x2)
                        AvNbDomainName           : 'CORP'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvNbComputerName (0x1)
                        AvLen                    : 0x001e (30)
                        Value                    : union ntlmssp_AvValue(case 0x1)
                        AvNbComputerName         : 'WIN-4JA08VR86N1'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsDomainName (0x4)
                        AvLen                    : 0x0018 (24)
                        Value                    : union ntlmssp_AvValue(case 0x4)
                        AvDnsDomainName          : 'CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsComputerName (0x3)
                        AvLen                    : 0x0038 (56)
                        Value                    : union ntlmssp_AvValue(case 0x3)
                        AvDnsComputerName        : 'WIN-4JA08VR86N1.CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsTreeName (0x5)
                        AvLen                    : 0x0018 (24)
                        Value                    : union ntlmssp_AvValue(case 0x5)
                        AvDnsTreeName            : 'CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvTimestamp (0x7)
                        AvLen                    : 0x0008 (8)
                        Value                    : union ntlmssp_AvValue(case 0x7)
                        AvTimestamp              : Sat May 16 10:51:09 PM 2015 BST
                    pair: struct AV_PAIR
                        AvId                     : MsvAvEOL (0x0)
                        AvLen                    : 0x0000 (0)
                        Value                    : union ntlmssp_AvValue(case 0x0)
        Version: struct ntlmssp_VERSION
            ProductMajorVersion      : NTLMSSP_WINDOWS_MAJOR_VERSION_6 (0x6)
            ProductMinorVersion      : NTLMSSP_WINDOWS_MINOR_VERSION_2 (0x2)
            ProductBuild             : 0x23f0 (9200)
            Reserved                 : 000000
            NTLMRevisionCurrent      : NTLMSSP_REVISION_W2K3 (0xF)
Got challenge flags:
Got NTLMSSP neg_flags=0x62898215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_TARGET_INFO
  NTLMSSP_NEGOTIATE_VERSION
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60088215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
     authenticate: struct AUTHENTICATE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmAuthenticate (3)
        LmChallengeResponseLen   : 0x0018 (24)
        LmChallengeResponseMaxLen: 0x0018 (24)
        LmChallengeResponse      : *
            LmChallengeResponse      : union ntlmssp_LM_RESPONSE(case 24)
            v1: struct LM_RESPONSE
                Response                 : 23ea8db42d789d0b664ab033a6bb5c38db618d8a110eb497
        NtChallengeResponseLen   : 0x00de (222)
        NtChallengeResponseMaxLen: 0x00de (222)
        NtChallengeResponse      : *
            NtChallengeResponse      : union ntlmssp_NTLM_RESPONSE(case 222)
            v2: struct NTLMv2_RESPONSE
                Response                 : b25b2d35ead28e1e986f44cbb37e7d95
                Challenge: struct NTLMv2_CLIENT_CHALLENGE
                    RespType                 : 0x01 (1)
                    HiRespType               : 0x01 (1)
                    Reserved1                : 0x0000 (0)
                    Reserved2                : 0x00000000 (0)
                    TimeStamp                : Sat May 16 09:20:05 PM 2015 BST
                    ChallengeFromClient      : c83058d797574910
                    Reserved3                : 0x00000000 (0)
                    AvPairs: struct AV_PAIR_LIST
                        count                    : 0x00000007 (7)
                        pair: ARRAY(7)
                            pair: struct AV_PAIR
                                AvId                     : MsvAvNbDomainName (0x2)
                                AvLen                    : 0x0008 (8)
                                Value                    : union ntlmssp_AvValue(case 0x2)
                                AvNbDomainName           : 'CORP'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvNbComputerName (0x1)
                                AvLen                    : 0x001e (30)
                                Value                    : union ntlmssp_AvValue(case 0x1)
                                AvNbComputerName         : 'WIN-4JA08VR86N1'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsDomainName (0x4)
                                AvLen                    : 0x0018 (24)
                                Value                    : union ntlmssp_AvValue(case 0x4)
                                AvDnsDomainName          : 'CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsComputerName (0x3)
                                AvLen                    : 0x0038 (56)
                                Value                    : union ntlmssp_AvValue(case 0x3)
                                AvDnsComputerName        : 'WIN-4JA08VR86N1.CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsTreeName (0x5)
                                AvLen                    : 0x0018 (24)
                                Value                    : union ntlmssp_AvValue(case 0x5)
                                AvDnsTreeName            : 'CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvTimestamp (0x7)
                                AvLen                    : 0x0008 (8)
                                Value                    : union ntlmssp_AvValue(case 0x7)
                                AvTimestamp              : Sat May 16 10:51:09 PM 2015 BST
                            pair: struct AV_PAIR
                                AvId                     : MsvAvEOL (0x0)
                                AvLen                    : 0x0000 (0)
                                Value                    : union ntlmssp_AvValue(case 0x0)
        DomainNameLen            : 0x000e (14)
        DomainNameMaxLen         : 0x000e (14)
        DomainName               : *
            DomainName               : 'MYGROUP'
        UserNameLen              : 0x001a (26)
        UserNameMaxLen           : 0x001a (26)
        UserName                 : *
            UserName                 : 'Administrator'
        WorkstationLen           : 0x0008 (8)
        WorkstationMaxLen        : 0x0008 (8)
        Workstation              : *
            Workstation              : 'HOBO'
        EncryptedRandomSessionKeyLen: 0x0010 (16)
        EncryptedRandomSessionKeyMaxLen: 0x0010 (16)
        EncryptedRandomSessionKey: *
            EncryptedRandomSessionKey: DATA_BLOB length=16
[0000] 55 70 4A B5 C4 9D 64 AD   4B 13 C8 04 21 14 45 34   UpJ...d. K...!.E4
        NegotiateFlags           : 0x60088215 (1611170325)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               0: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               0: NTLMSSP_NEGOTIATE_TARGET_INFO
               0: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60088215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
 session setup ok
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
 tconx ok
num_setup=1, max_setup=0, param_total=2, this_param=2, max_param=0, data_total=0, this_data=0, max_data=560, param_offset=68, param_pad=0, param_disp=0, data_offset=72, data_pad=2, data_disp=0
Could not retrieve case sensitivity flag: NT_STATUS_REVISION_MISMATCH.
Server connect ok: //192.168.1.56/share2: 0x7fd92f2d8db0
map_open_params_to_ntcreate: fname = \nonexistent, deny_mode = 0x40, open_func = 0x1
map_open_params_to_ntcreate: file \nonexistent, access_mask = 0x120089, share_mode = 0x3, create_disposition = 0x1, create_options = 0x40 private_flags = 0x0
signed SMB2 message
map_errno_from_nt_status: 32 bit codes: code=c0000059
smbc errno NT_STATUS_REVISION_MISMATCH -> 22
smbc_open: Invalid argument


It works correctly with smbclient:

$ smbclient -d 10 -U Administrator '//192.168.1.56/share2' -c 'get nonexistent'
INFO: Current debug levels:
  all: 10
  tdb: 10
  printdrivers: 10
  lanman: 10
  smb: 10
  rpc_parse: 10
  rpc_srv: 10
  rpc_cli: 10
  passdb: 10
  sam: 10
  auth: 10
  winbind: 10
  vfs: 10
  idmap: 10
  quota: 10
  acls: 10
  locking: 10
  msdfs: 10
  dmapi: 10
  registry: 10
  scavenger: 10
  dns: 10
  ldb: 10
lp_load_ex: refreshing parameters
Initialising global parameters
rlimit_max: increasing rlimit_max (1024) to minimum Windows limit (16384)
INFO: Current debug levels:
  all: 10
  tdb: 10
  printdrivers: 10
  lanman: 10
  smb: 10
  rpc_parse: 10
  rpc_srv: 10
  rpc_cli: 10
  passdb: 10
  sam: 10
  auth: 10
  winbind: 10
  vfs: 10
  idmap: 10
  quota: 10
  acls: 10
  locking: 10
  msdfs: 10
  dmapi: 10
  registry: 10
  scavenger: 10
  dns: 10
  ldb: 10
Processing section "[global]"
doing parameter client max protocol = SMB3
doing parameter workgroup = MYGROUP
doing parameter server string = Samba Server
doing parameter printcap name = /etc/printcap
doing parameter load printers = yes
doing parameter log file = /var/log/samba/log.%m
doing parameter max log size = 50
doing parameter security = user
doing parameter dns proxy = no
pm_process() returned Yes
lp_servicenumber: couldn't find homes
added interface enp3s0 ip=192.168.1.100 bcast=192.168.1.255 netmask=255.255.255.0
Netbios name list:-
my_netbios_names[0]="HOBO"
Client started (version 4.3.0pre1-GIT-8915fc4+).
Enter Administrator's password: 
Connecting to 192.168.1.56 at port 445
Socket options:
	SO_KEEPALIVE = 0
	SO_REUSEADDR = 0
	SO_BROADCAST = 0
	TCP_NODELAY = 1
	TCP_KEEPCNT = 9
	TCP_KEEPIDLE = 7200
	TCP_KEEPINTVL = 75
	IPTOS_LOWDELAY = 0
	IPTOS_THROUGHPUT = 0
	SO_REUSEPORT = 0
	SO_SNDBUF = 87040
	SO_RCVBUF = 372480
	SO_SNDLOWAT = 1
	SO_RCVLOWAT = 1
	SO_SNDTIMEO = 0
	SO_RCVTIMEO = 0
	TCP_QUICKACK = 1
	TCP_DEFER_ACCEPT = 0
 session request ok
Doing spnego session setup (blob length=120)
got OID=1.3.6.1.4.1.311.2.2.30
got OID=1.2.840.48018.1.2.2
got OID=1.2.840.113554.1.2.2
got OID=1.2.840.113554.1.2.2.3
got OID=1.3.6.1.4.1.311.2.2.10
got principal=not_defined_in_RFC4178@please_ignore
     negotiate: struct NEGOTIATE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmNegotiate (1)
        NegotiateFlags           : 0x60088215 (1611170325)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               0: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               0: NTLMSSP_NEGOTIATE_TARGET_INFO
               0: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
        DomainNameLen            : 0x0007 (7)
        DomainNameMaxLen         : 0x0007 (7)
        DomainName               : *
            DomainName               : 'MYGROUP'
        WorkstationLen           : 0x0004 (4)
        WorkstationMaxLen        : 0x0004 (4)
        Workstation              : *
            Workstation              : 'HOBO'
     challenge: struct CHALLENGE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmChallenge (0x2)
        TargetNameLen            : 0x0008 (8)
        TargetNameMaxLen         : 0x0008 (8)
        TargetName               : *
            TargetName               : 'CORP'
        NegotiateFlags           : 0x62898215 (1653178901)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               1: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               1: NTLMSSP_NEGOTIATE_TARGET_INFO
               1: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
        ServerChallenge          : 3391724f5f330082
        Reserved                 : 0000000000000000
        TargetInfoLen            : 0x00b2 (178)
        TargetNameInfoMaxLen     : 0x00b2 (178)
        TargetInfo               : *
            TargetInfo: struct AV_PAIR_LIST
                count                    : 0x00000007 (7)
                pair: ARRAY(7)
                    pair: struct AV_PAIR
                        AvId                     : MsvAvNbDomainName (0x2)
                        AvLen                    : 0x0008 (8)
                        Value                    : union ntlmssp_AvValue(case 0x2)
                        AvNbDomainName           : 'CORP'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvNbComputerName (0x1)
                        AvLen                    : 0x001e (30)
                        Value                    : union ntlmssp_AvValue(case 0x1)
                        AvNbComputerName         : 'WIN-4JA08VR86N1'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsDomainName (0x4)
                        AvLen                    : 0x0018 (24)
                        Value                    : union ntlmssp_AvValue(case 0x4)
                        AvDnsDomainName          : 'CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsComputerName (0x3)
                        AvLen                    : 0x0038 (56)
                        Value                    : union ntlmssp_AvValue(case 0x3)
                        AvDnsComputerName        : 'WIN-4JA08VR86N1.CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvDnsTreeName (0x5)
                        AvLen                    : 0x0018 (24)
                        Value                    : union ntlmssp_AvValue(case 0x5)
                        AvDnsTreeName            : 'CORP.PEGASUS'
                    pair: struct AV_PAIR
                        AvId                     : MsvAvTimestamp (0x7)
                        AvLen                    : 0x0008 (8)
                        Value                    : union ntlmssp_AvValue(case 0x7)
                        AvTimestamp              : Sat May 16 10:29:26 PM 2015 BST
                    pair: struct AV_PAIR
                        AvId                     : MsvAvEOL (0x0)
                        AvLen                    : 0x0000 (0)
                        Value                    : union ntlmssp_AvValue(case 0x0)
        Version: struct ntlmssp_VERSION
            ProductMajorVersion      : NTLMSSP_WINDOWS_MAJOR_VERSION_6 (0x6)
            ProductMinorVersion      : NTLMSSP_WINDOWS_MINOR_VERSION_2 (0x2)
            ProductBuild             : 0x23f0 (9200)
            Reserved                 : 000000
            NTLMRevisionCurrent      : NTLMSSP_REVISION_W2K3 (0xF)
Got challenge flags:
Got NTLMSSP neg_flags=0x62898215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_TARGET_INFO
  NTLMSSP_NEGOTIATE_VERSION
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
NTLMSSP: Set final flags:
Got NTLMSSP neg_flags=0x60088215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
     authenticate: struct AUTHENTICATE_MESSAGE
        Signature                : 'NTLMSSP'
        MessageType              : NtLmAuthenticate (3)
        LmChallengeResponseLen   : 0x0018 (24)
        LmChallengeResponseMaxLen: 0x0018 (24)
        LmChallengeResponse      : *
            LmChallengeResponse      : union ntlmssp_LM_RESPONSE(case 24)
            v1: struct LM_RESPONSE
                Response                 : 107434353953e75f573d343cfecee10222954b795bafd8ca
        NtChallengeResponseLen   : 0x00de (222)
        NtChallengeResponseMaxLen: 0x00de (222)
        NtChallengeResponse      : *
            NtChallengeResponse      : union ntlmssp_NTLM_RESPONSE(case 222)
            v2: struct NTLMv2_RESPONSE
                Response                 : f6e5a07806ab8c47c3e6d059a3233571
                Challenge: struct NTLMv2_CLIENT_CHALLENGE
                    RespType                 : 0x01 (1)
                    HiRespType               : 0x01 (1)
                    Reserved1                : 0x0000 (0)
                    Reserved2                : 0x00000000 (0)
                    TimeStamp                : Sat May 16 09:25:09 PM 2015 BST
                    ChallengeFromClient      : 5cb02ebb4d091103
                    Reserved3                : 0x00000000 (0)
                    AvPairs: struct AV_PAIR_LIST
                        count                    : 0x00000007 (7)
                        pair: ARRAY(7)
                            pair: struct AV_PAIR
                                AvId                     : MsvAvNbDomainName (0x2)
                                AvLen                    : 0x0008 (8)
                                Value                    : union ntlmssp_AvValue(case 0x2)
                                AvNbDomainName           : 'CORP'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvNbComputerName (0x1)
                                AvLen                    : 0x001e (30)
                                Value                    : union ntlmssp_AvValue(case 0x1)
                                AvNbComputerName         : 'WIN-4JA08VR86N1'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsDomainName (0x4)
                                AvLen                    : 0x0018 (24)
                                Value                    : union ntlmssp_AvValue(case 0x4)
                                AvDnsDomainName          : 'CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsComputerName (0x3)
                                AvLen                    : 0x0038 (56)
                                Value                    : union ntlmssp_AvValue(case 0x3)
                                AvDnsComputerName        : 'WIN-4JA08VR86N1.CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvDnsTreeName (0x5)
                                AvLen                    : 0x0018 (24)
                                Value                    : union ntlmssp_AvValue(case 0x5)
                                AvDnsTreeName            : 'CORP.PEGASUS'
                            pair: struct AV_PAIR
                                AvId                     : MsvAvTimestamp (0x7)
                                AvLen                    : 0x0008 (8)
                                Value                    : union ntlmssp_AvValue(case 0x7)
                                AvTimestamp              : Sat May 16 10:29:26 PM 2015 BST
                            pair: struct AV_PAIR
                                AvId                     : MsvAvEOL (0x0)
                                AvLen                    : 0x0000 (0)
                                Value                    : union ntlmssp_AvValue(case 0x0)
        DomainNameLen            : 0x000e (14)
        DomainNameMaxLen         : 0x000e (14)
        DomainName               : *
            DomainName               : 'MYGROUP'
        UserNameLen              : 0x001a (26)
        UserNameMaxLen           : 0x001a (26)
        UserName                 : *
            UserName                 : 'Administrator'
        WorkstationLen           : 0x0008 (8)
        WorkstationMaxLen        : 0x0008 (8)
        Workstation              : *
            Workstation              : 'HOBO'
        EncryptedRandomSessionKeyLen: 0x0010 (16)
        EncryptedRandomSessionKeyMaxLen: 0x0010 (16)
        EncryptedRandomSessionKey: *
            EncryptedRandomSessionKey: DATA_BLOB length=16
[0000] 8D 4C EA 44 1D 66 F5 D0   92 6E 26 6D E4 91 E2 A6   .L.D.f.. .n&m....
        NegotiateFlags           : 0x60088215 (1611170325)
               1: NTLMSSP_NEGOTIATE_UNICODE
               0: NTLMSSP_NEGOTIATE_OEM    
               1: NTLMSSP_REQUEST_TARGET   
               1: NTLMSSP_NEGOTIATE_SIGN   
               0: NTLMSSP_NEGOTIATE_SEAL   
               0: NTLMSSP_NEGOTIATE_DATAGRAM
               0: NTLMSSP_NEGOTIATE_LM_KEY 
               0: NTLMSSP_NEGOTIATE_NETWARE
               1: NTLMSSP_NEGOTIATE_NTLM   
               0: NTLMSSP_NEGOTIATE_NT_ONLY
               0: NTLMSSP_ANONYMOUS        
               0: NTLMSSP_NEGOTIATE_OEM_DOMAIN_SUPPLIED
               0: NTLMSSP_NEGOTIATE_OEM_WORKSTATION_SUPPLIED
               0: NTLMSSP_NEGOTIATE_THIS_IS_LOCAL_CALL
               1: NTLMSSP_NEGOTIATE_ALWAYS_SIGN
               0: NTLMSSP_TARGET_TYPE_DOMAIN
               0: NTLMSSP_TARGET_TYPE_SERVER
               0: NTLMSSP_TARGET_TYPE_SHARE
               1: NTLMSSP_NEGOTIATE_EXTENDED_SESSIONSECURITY
               0: NTLMSSP_NEGOTIATE_IDENTIFY
               0: NTLMSSP_REQUEST_NON_NT_SESSION_KEY
               0: NTLMSSP_NEGOTIATE_TARGET_INFO
               0: NTLMSSP_NEGOTIATE_VERSION
               1: NTLMSSP_NEGOTIATE_128    
               1: NTLMSSP_NEGOTIATE_KEY_EXCH
               0: NTLMSSP_NEGOTIATE_56     
NTLMSSP Sign/Seal - Initialising with flags:
Got NTLMSSP neg_flags=0x60088215
  NTLMSSP_NEGOTIATE_UNICODE
  NTLMSSP_REQUEST_TARGET
  NTLMSSP_NEGOTIATE_SIGN
  NTLMSSP_NEGOTIATE_NTLM
  NTLMSSP_NEGOTIATE_ALWAYS_SIGN
  NTLMSSP_NEGOTIATE_NTLM2
  NTLMSSP_NEGOTIATE_128
  NTLMSSP_NEGOTIATE_KEY_EXCH
Domain=[CORP] OS=[] Server=[]
 session setup ok
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
signed SMB2 message
 tconx ok
dos_clean_name [\nonexistent]
unix_clean_name [\nonexistent]
map_open_params_to_ntcreate: fname = \nonexistent, deny_mode = 0x40, open_func = 0x1
map_open_params_to_ntcreate: file \nonexistent, access_mask = 0x120089, share_mode = 0x3, create_disposition = 0x1, create_options = 0x40 private_flags = 0x0
signed SMB2 message
NT_STATUS_OBJECT_NAME_NOT_FOUND opening remote file \nonexistent
Comment 1 Jeremy Allison 2016-05-05 00:29:45 UTC
Created attachment 12071 [details]
git-am fix for 4.4.next, 4.3.next.

Cherry-picked from master.
Comment 2 Ralph Böhme 2016-05-05 22:59:09 UTC
Reassigning to Karolin for inclusion in 4.3 and 4.4
Comment 3 Karolin Seeger 2016-05-09 08:07:09 UTC
(In reply to Ralph Böhme from comment #2)
Pushed to autobuild-v4-[4|3]-test.
Comment 4 Karolin Seeger 2016-05-11 11:31:21 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to both branches.
Closing out bug report.

Thanks!
Comment 5 Christian Ambach 2016-05-23 20:57:10 UTC
*** Bug 11834 has been marked as a duplicate of this bug. ***